=== debian/changelog ===
s390-tools (1.25.0-2) unstable; urgency=medium

  * Do not build-depend on gcc-4.8 and instead use
    -fno-delete-null-pointer-checks for building zipl's bootloader stage.
    Thanks, Bastian Blank!

 -- Philipp Kern <pkern@debian.org>  Tue, 26 Aug 2014 20:18:31 +0000

s390-tools (1.25.0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches.
    - Dropped the backported zipl fix.
    - Build zipl's bootloader part with gcc-4.8 to sidestep miscompilation.
      (Closes: #758115)

 -- Philipp Kern <pkern@debian.org>  Sun, 24 Aug 2014 19:41:12 +0200

s390-tools (1.24.1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches.
    - Backported a zipl command-line fix from 1.25.0.

 -- Philipp Kern <pkern@debian.org>  Sun, 10 Aug 2014 22:20:01 +0200

s390-tools (1.17.1-1) unstable; urgency=low

  * New upstream release.
    - Adjusted install.patch.
  * Install udev ruleset as provided by upstream.
    - Add udev-dasd-blkid.patch to use blkid instead of vol_id in
      59-dasd.rules.
    - Do not ship 57-osasnmpd.rules as we do not ship the corresponding
      daemon.

 -- Philipp Kern <pkern@debian.org>  Sat, 04 May 2013 18:39:17 +0000
