=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SOURCE  := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION := $(shell dpkg-parsechangelog | perl -ne '/^Version:\s+(\S+)-[^-]+$$/ && print $$1;')

BUILD_DIR = debian/build
STAMPS_DIR = debian/stamps

setup: $(STAMPS_DIR)/setup

$(STAMPS_DIR)/setup: SOURCE_FILES = $(filter-out debian .svn .svk, $(wildcard * .[^.]*))
$(STAMPS_DIR)/setup: DIR = $(BUILD_DIR)/build
$(STAMPS_DIR)/setup:
	@[ -d $(STAMPS_DIR) ] || mkdir -p $(STAMPS_DIR)
	dh_testdir
	@rm -rf $(DIR)
	QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
	mkdir -p $(DIR)
	cp -a $(SOURCE_FILES) $(DIR)
	touch $@

build: $(STAMPS_DIR)/build

$(STAMPS_DIR)/build: DIR = $(BUILD_DIR)/build
$(STAMPS_DIR)/build: $(STAMPS_DIR)/setup
	dh_testdir
	$(MAKE) -C $(DIR)
	touch $@

clean:
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
	dh_clean

maintainerclean:
	rm -rf $(filter-out .svn debian, $(wildcard * .[^.]*))

install: DIR = $(BUILD_DIR)/build
install: INSTALL_DIR = $(BUILD_DIR)/install
install: $(STAMPS_DIR)/build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C $(DIR) install INSTROOT=$(CURDIR)/$(INSTALL_DIR)

	dh_install --sourcedir=$(INSTALL_DIR)

binary-indep:

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.bz2
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude debian --exclude .svk --exclude .svn --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xjf $(TAR_ORIG)
endif
