## s390-tools 1.34.0

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # Include commond definitions
 include common.mak
 
-LIB_DIRS = libvtoc libu2s libutil libzds
+LIB_DIRS = libvtoc libu2s libutil libzds libdasd
 SUB_DIRS = $(LIB_DIRS) zipl zdump fdasd dasdfmt dasdview tunedasd \
 	   tape390 osasnmpd qetharp ip_watcher qethconf scripts zconf \
 	   vmconvert vmcp man mon_tools dasdinfo vmur cpuplugd ipl_tools \
 	   ziomon iucvterm hyptop cmsfs-fuse qethqoat zfcpdump zdsfs cpumf \
-	   systemd
+	   systemd hmcdrvfs cpacfstats zdev
 
 all: subdirs_make
