=== cpuplugd/Makefile ===
--- 
+++ 
@@ -16,9 +16,11 @@
 	rm -f cpuplugd $(OBJECTS)
 
 install: all
-	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 cpuplugd $(USRSBINDIR)
-	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/cpuplugd.8 $(MANDIR)/man8
+	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 cpuplugd \
+		$(DESTDIR)$(USRSBINDIR)
+	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/cpuplugd.8 \
+		$(DESTDIR)$(MANDIR)/man8
 	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/cpuplugd.conf.5 \
-		$(MANDIR)/man5
+		$(DESTDIR)$(MANDIR)/man5
 
 .PHONY: all install clean
