=== dasdfmt/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: dasdfmt

dasdfmt.o: dasdfmt.h ../include/zt_common.h

dasdfmt: dasdfmt.o $(rootdir)/libvtoc/vtoc.o $(rootdir)/libutil/util_proc.o \
	$(rootdir)/libdasd/dasd_sys.o $(rootdir)/libu2s/u2s.o

install: all
	$(INSTALL) -d -m 755 $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 dasdfmt $(DESTDIR)$(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdfmt.8 \
		$(DESTDIR)$(MANDIR)/man8

clean:
	rm -f *.o *~ dasdfmt core

.PHONY: all install clean
