=== fdasd/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: fdasd

fdasd.o: fdasd.h ../include/zt_common.h

fdasd: fdasd.o $(rootdir)/libvtoc/vtoc.o $(rootdir)/libdasd/dasd_sys.o \
	$(rootdir)/libu2s/u2s.o

install: all
	$(INSTALL) -d -m 755 $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 fdasd $(DESTDIR)$(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 fdasd.8 \
		$(DESTDIR)$(MANDIR)/man8

clean:
	rm -f *.o *~ fdasd core

.PHONY: all install clean
