=== debian/changelog ===
s390-tools (1.34.0-0ubuntu8.7) xenial; urgency=low

  * No-change rebuild against the -security pocket to let this be
    copied out to -security as the kernels it supports are destined
    to go to -security at some point.

 -- Andy Whitcroft <apw@canonical.com>  Wed, 02 May 2018 15:22:13 +0100

s390-tools (1.34.0-0ubuntu8.6) xenial; urgency=medium

  * zz-zipl: Do not run if non-optional initrds don't exist yet (LP: #1766727)
    - Backport of the fix for bionic by Adam Conrad.

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 30 Apr 2018 11:20:25 -0300

s390-tools (1.34.0-0ubuntu8.5) xenial; urgency=medium

  * Correct postinst, which cleans up erroneous directory from
    1.34.0-0ubuntu8 upload and earlier. LP: #1608927

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Feb 2018 16:44:02 +0000

s390-tools (1.34.0-0ubuntu8.4) xenial; urgency=medium

  * chzdev: Fix ineffective zfcp-lun udev rule preventing activation of
    unordered WWPNs. LP: #1683808

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Jul 2017 14:14:51 +0100

s390-tools (1.34.0-0ubuntu8.2) xenial; urgency=medium

  * zipl: Import off-by-one patch to resolve failure to start subchannel
    in FBA loader. LP: #1592990.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jun 2016 10:51:39 +0100

s390-tools (1.34.0-0ubuntu8.1) xenial; urgency=medium

  * Fix ts-shell maintainer scripts LP: #1567473:
    - create /var/log/ts-shell directory with the right permissions
    - remove errorous directory
  * Install iuctty-login@.service systemd unit, with a correct path LP:
    #1580226
  * Cherrypick upstream fix for buffer overflow in dasdfmt. LP: #1582728

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 06 Jun 2016 11:51:16 +0100

s390-tools (1.34.0-0ubuntu8) xenial; urgency=medium

  * Ship dumpconf legacy init script, and sysconfig file. LP: #1564690
  * Integrate ts-shell. LP: #1567473
  * Recommend statd package, and mention it by mon_statd name too to aid
    discovery.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 14 Apr 2016 14:26:16 +0100

s390-tools (1.34.0-0ubuntu7) xenial; urgency=medium

  * Add statd subpackage with modules-load.d snippet and
    mon_fstatd/mon_procd units to enable statd daemons. LP: #1569454.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Apr 2016 13:51:49 +0100

s390-tools (1.34.0-0ubuntu6) xenial; urgency=medium

  * Drop more obsolete WAIT_FOR udev rules stanzas.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Apr 2016 12:36:06 +0100

s390-tools (1.34.0-0ubuntu5) xenial; urgency=medium

  * Add condition to cpacfstatsd.service to only start on LPARs (which may
    still fail, if LPAR is not configured with the right counters).
  * Add a system group for cpacfstatsd.service.
  * Reluctantly Bump crashkernel to 196M, as otherwise 128M is not enough
    by default to collect a kdump on any LPAR, defeating the intended
    purpose in the first place. (LP: #1564475)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 11 Apr 2016 12:51:36 +0100

s390-tools (1.34.0-0ubuntu4) xenial; urgency=medium

  * Inlcude chzdev & lzdev utilities in the udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Apr 2016 11:55:01 +0100

s390-tools (1.34.0-0ubuntu3) xenial; urgency=medium

  * Ship all tools, mostly harmless LP: #1555167, LP: #1564690, LP: #1564696
  * Add snmp build-dependency to build osasnmpd as a separate
    package LP: #1564699
  * Add cpuplugd, with patches to default config, as a separate
    package LP: #1564496
  * Update branding from "S/390" to "z Systems"

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 06 Apr 2016 02:12:04 +0100

s390-tools (1.34.0-0ubuntu2) xenial; urgency=medium

  * Upgrade /etc/zipl.conf to include crashkernel parameter by default
    (LP: #1555159)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Mar 2016 17:58:20 +0000

s390-tools (1.34.0-0ubuntu1) xenial; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release LP: #1558274. LP: #1559188.

  [ Hendrik Brueckner ]
  * Added missing lsscm command to display Storage-Class Memory,
    aka. Flash Express  (Closes: #818381) LP: #1558273
  * Added tools to display information about the CPU-measurement counter
    and sampling facilities.  This includes a database with hardware
    counter information.  (Closes: #818385) LP: #1558277
  * Added zdsfs and hmc drive FUSE file systems (Closes: #818495) LP: #1558709

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Mar 2016 17:20:08 +0000

s390-tools (1.33.0-1ubuntu2) xenial; urgency=medium

  * Include debian ifupdown networking information. LP: #1551819

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Mar 2016 12:14:51 +0000

s390-tools (1.33.0-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add zfcp monitoring and reporting tools (ziomon).
    - ship dbginfo.sh
    - fix bashism in dbginfo
    - ship chzdev and lszdev tools

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Mar 2016 11:57:02 +0000

s390-tools (1.33.0-1) unstable; urgency=medium

  [ Philipp Kern ]
  * New upstream release.
  * Make the build verbose.

  [ Hendrik Brueckner ]
  * Clean up lsluns comment leftovers.
  * Install additional management utilities: lschp, chchp, dasdstat,
    cio_ignore, and znetconf with its related files. (Closes: #812092)

 -- Philipp Kern <pkern@debian.org>  Sun, 14 Feb 2016 13:53:07 +0100

s390-tools (1.33.0-0ubuntu2) xenial; urgency=medium

  [ Hendrik Brueckner ]
  * Add zfcp monitoring and reporting tools (ziomon) (Closes: #812588)
    LP: #1540425.

  [ Dimitri John Ledkov ]
  * Drop dependencies/recommendencies for ziomon to Suggests, to avoid
    pulling those large packages, on all installation types (including
    virtual machines, cloud images, lxc/lxd/docker containers)

  * Possibly it is time to split s390-tools into essential, and optional
    binary packages with correct dependencies.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2016 11:38:46 +0000


