=== cmsfs-fuse/Makefile ===
--- 
+++ 
@@ -19,12 +19,19 @@
 		"fuse-devel", \
 		"HAVE_FUSE=0")
 
-CPPFLAGS += -I../include
+ALL_CPPFLAGS += -I../include
 
 all: check_dep cmsfs-fuse
 
-CFLAGS += -D_FILE_OFFSET_BITS=64 -DHAVE_SETXATTR -I/usr/include/fuse
-LDLIBS += -lfuse -lm
+ifneq ($(shell sh -c 'command -v pkg-config'),)
+FUSE_CFLAGS = $(shell pkg-config --silence-errors --cflags fuse)
+FUSE_LDLIBS = $(shell pkg-config --silence-errors --libs fuse)
+else
+FUSE_CFLAGS = -D_FILE_OFFSET_BITS=64 -I/usr/include/fuse
+FUSE_LDLIBS = -lfuse
+endif
+ALL_CFLAGS += -DHAVE_SETXATTR $(FUSE_CFLAGS)
+LDLIBS += $(FUSE_LDLIBS) -lm
 
 OBJECTS = cmsfs-fuse.o dasd.o amap.o config.o
 $(OBJECTS): *.h Makefile 
@@ -32,7 +39,9 @@
 CMSFS_FUSE_DIR = $(SYSCONFDIR)/cmsfs-fuse
 CONFIG_FILES = filetypes.conf
 
-cmsfs-fuse: $(OBJECTS) $(rootdir)/libutil/util_list.o
+libs = $(rootdir)/libutil/libutil.a
+
+cmsfs-fuse: $(OBJECTS) $(libs)
 
 install: all
 	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 cmsfs-fuse \
