=== cpacfstats/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../common.mak
 
-CPPFLAGS += -I. -I../include -DVERSION=$(VERSION)
+ALL_CPPFLAGS += -I. -I../include -DVERSION=$(VERSION)
 
 
 ifeq (${HAVE_PFM},0)
@@ -23,10 +23,10 @@
 all:		check_dep cpacfstats cpacfstatsd
 
 cpacfstatsd:	cpacfstatsd.o stats_sock.o perf_crypto.o
-		$(LINK) $(LDFLAGS) $^ $(LDLIBS) -lpfm -o $@
+		$(LINK) $(ALL_LDFLAGS) $^ $(LDLIBS) -lpfm -o $@
 
 cpacfstats:	cpacfstats.o stats_sock.o
-		$(LINK) $(LDFLAGS) $^ $(LDLIBS) -o $@
+		$(LINK) $(ALL_LDFLAGS) $^ $(LDLIBS) -o $@
 
 install: 	all
 		$(INSTALL) -m 755 cpacfstatsd   $(DESTDIR)$(USRSBINDIR)
