=== cpumf/Makefile ===
--- 
+++ 
@@ -21,23 +21,23 @@
 
 install: scripts install-man
 	for prg in $(USRBIN_SCRIPTS); do \
-	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 $$prg $(USRBINDIR) ; \
+	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 $$prg $(DESTDIR)$(USRBINDIR) ; \
 	done
 	for prg in $(USRSBIN_SCRIPTS); do \
-	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 $$prg $(USRSBINDIR) ; \
+	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 $$prg $(DESTDIR)$(USRSBINDIR) ; \
 	done
-	test -d $(CPUMF_DATADIR) || mkdir -p $(CPUMF_DATADIR)
+	test -d $(DESTDIR)$(CPUMF_DATADIR) || mkdir -p $(DESTDIR)$(CPUMF_DATADIR)
 	for lib in $(LIB_FILES); do \
-	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 $$lib $(TOOLS_LIBDIR) ; \
+	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 $$lib $(DESTDIR)$(TOOLS_LIBDIR) ; \
 	done
 	for data in $(DATA_FILES); do \
-	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 data/$$data $(CPUMF_DATADIR) ; \
+	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 data/$$data $(DESTDIR)$(CPUMF_DATADIR) ; \
 	done
 
 install-man:
 	for man in $(MAN_FILES); do \
 	  msection=`echo $$man |sed 's/.*\.\([1-9]\)$$/man\1/'` ; \
-	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 -D man/$$man $(MANDIR)/$$msection/$$man ; \
+	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 -D man/$$man $(DESTDIR)$(MANDIR)/$$msection/$$man ; \
 	done
 
 man2pdf:
@@ -53,10 +53,10 @@
 	rm -f $(LIB_FILES) $(USRBIN_SCRIPTS) $(USRSBIN_SCRIPTS)
 
 %: %.in
-	real_sysconf=`echo $(SYSCONFDIR)/iucvterm |sed 's#^$(INSTROOT)##'` ; \
-	real_cpumfdir=`echo $(CPUMF_DATADIR) |sed 's#^$(INSTROOT)##'` ; \
-	$(SED) -e "s#@sysconf_path@#$$real_sysconf#g" \
-	       -e "s#@cpumfdata_path@#$$real_cpumfdir#g" \
+	real_libdir=$(TOOLS_LIBDIR); \
+	real_cpumfdatadir=$(CPUMF_DATADIR); \
+	$(SED) -e "s#@lib_path@#$$real_libdir#g" \
+	       -e "s#@cpumfdata_path@#$$real_cpumfdatadir#g" \
 	       -e 's#@S390_TOOLS_RELEASE@#$(S390_TOOLS_RELEASE)#g' \
 	< $< > $@
