=== cpuplugd/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../common.mak
 
-CFLAGS += -I../include
+ALL_CFLAGS += -I../include
 
 all: cpuplugd
 
@@ -10,7 +10,7 @@
 $(OBJECTS): cpuplugd.h
 
 cpuplugd: $(OBJECTS)
-	$(LINK) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@
+	$(LINK) $(ALL_LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@
 
 clean:
 	rm -f cpuplugd $(OBJECTS)
