=== dasdfmt/Makefile ===
--- 
+++ 
@@ -1,13 +1,17 @@
 include ../common.mak
 
-CPPFLAGS += -I../include
+ALL_CPPFLAGS += -I../include
 
 all: dasdfmt
 
+libs =	$(rootdir)/libdasd/libdasd.a \
+	$(rootdir)/libvtoc/libvtoc.a \
+	$(rootdir)/libu2s/libu2s.a \
+	$(rootdir)/libutil/libutil.a
+
 dasdfmt.o: dasdfmt.h ../include/zt_common.h
 
-dasdfmt: dasdfmt.o $(rootdir)/libvtoc/vtoc.o $(rootdir)/libutil/util_proc.o \
-	$(rootdir)/libdasd/dasd_sys.o $(rootdir)/libu2s/u2s.o
+dasdfmt: dasdfmt.o $(libs)
 
 install: all
 	$(INSTALL) -d -m 755 $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man8
