=== dasdinfo/Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 include ../common.mak
 
-CPPFLAGS += -I../include
+ALL_CPPFLAGS += -I../include
+
+libs = $(rootdir)/libu2s/libu2s.a
 
 all: dasdinfo
 
-dasdinfo: dasdinfo.o ../libu2s/u2s.o
+dasdinfo: dasdinfo.o $(libs)
 
 install: all
 	$(INSTALL) -d -m 755 $(DESTDIR)$(BINDIR) \
