=== dasdview/Makefile ===
--- 
+++ 
@@ -1,14 +1,18 @@
 include ../common.mak
 
-CPPFLAGS += -I../include -DSYSFS
-LDLIBS += -lzds
-LDFLAGS += -L../libzds
+ALL_CPPFLAGS += -I../include -DSYSFS
 
 all: dasdview
 
+libs =	$(rootdir)/libdasd/libdasd.a \
+	$(rootdir)/libvtoc/libvtoc.a \
+	$(rootdir)/libu2s/libu2s.a \
+	$(rootdir)/libzds/libzds.a \
+	$(rootdir)/libutil/libutil.a
+
 dasdview.o: dasdview.h ../include/zt_common.h ../include/libzds.h
 
-dasdview: dasdview.o ../libu2s/u2s.o
+dasdview: dasdview.o $(libs)
 
 install: all
 	$(INSTALL) -d -m 755 $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man8
