=== fdasd/Makefile ===
--- 
+++ 
@@ -1,13 +1,17 @@
 include ../common.mak
 
-CPPFLAGS += -I../include
+ALL_CPPFLAGS += -I../include
+
+libs =	$(rootdir)/libvtoc/libvtoc.a \
+	$(rootdir)/libzds/libzds.a \
+	$(rootdir)/libdasd/libdasd.a \
+	$(rootdir)/libu2s/libu2s.a
 
 all: fdasd
 
 fdasd.o: fdasd.h ../include/zt_common.h
 
-fdasd: fdasd.o $(rootdir)/libvtoc/vtoc.o $(rootdir)/libdasd/dasd_sys.o \
-	$(rootdir)/libu2s/u2s.o
+fdasd: fdasd.o $(libs)
 
 install: all
 	$(INSTALL) -d -m 755 $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man8
