=== hmcdrvfs/Makefile ===
--- 
+++ 
@@ -19,9 +19,16 @@
 		"fuse-devel", \
 		"HAVE_FUSE=0")
 
-CPPFLAGS += -I../include
-CFLAGS += -DFUSE_USE_VERSION=26 -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/fuse
-LDLIBS += -lfuse -lpthread -lrt -ldl -lm
+ifneq ($(shell sh -c 'command -v pkg-config'),)
+FUSE_CFLAGS = $(shell pkg-config --silence-errors --cflags fuse)
+FUSE_LDLIBS = $(shell pkg-config --silence-errors --libs fuse)
+else
+FUSE_CFLAGS = -D_FILE_OFFSET_BITS=64 -I/usr/include/fuse
+FUSE_LDLIBS = -lfuse
+endif
+ALL_CPPFLAGS += -I../include
+ALL_CFLAGS += -DFUSE_USE_VERSION=26 -D_GNU_SOURCE -D_LARGEFILE_SOURCE $(FUSE_CFLAGS)
+LDLIBS += $(FUSE_LDLIBS) -lpthread -lrt -ldl -lm
 
 OBJECTS = hmcdrvfs.o
