=== hyptop/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 		"ncurses-devel", \
 		"HAVE_NCURSES=0")
 
-CPPFLAGS += -I../include
+ALL_CPPFLAGS += -I../include
 
 all: check_dep hyptop
 
@@ -32,7 +32,7 @@
 
 $(OBJECTS): *.h Makefile
 
-hyptop: $(OBJECTS) $(rootdir)/libutil/util_list.o
+hyptop: $(OBJECTS) $(rootdir)/libutil/libutil.a
 
 install: all
 	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 hyptop \
