=== ip_watcher/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../common.mak
 
-CPPFLAGS += -I../include
+ALL_CPPFLAGS += -I../include
 all: xcec-bridge
 
 xcec-bridge: xcec-bridge.o
