=== debian/changelog ===
s390-tools (1.36.1-1) unstable; urgency=medium

  * New upstream release
  * Build/link zipl with -fno-pie/-no-pie, as PIE is now enabled globally in
    Debian's build of gcc and zipl will halt at boot if it is enabled.
  * Drop the CFLAGS/CXXFLAGS patches, as the upstream build system now
    allows one to pass in custom environment variables without overwriting
    them.

 -- Philipp Kern <pkern@debian.org>  Tue, 24 Jan 2017 03:29:35 -0500

s390-tools (1.34.0-2) unstable; urgency=medium

  [ Hendrik Brueckner ]
  * Added zdsfs and hmc drive FUSE file systems (Closes: #818495)
  * Added tools to display information about the CPU-measurement counter
    and sampling facilities.  This includes a database with hardware
    counter information. (Closes: #818385)
  * Added lsscm command to display Storage-Class Memory aka Flash Express
    (Closes: #818381)

  [ Philipp Kern ]
  * Use dh instead of raw debhelper commands.
  * Let the build system not overwrite CFLAGS/CXXFLAGS but append to it.
  * Bump debhelper compatibility level from 7 to 9.
  * Dropped the leading article from the description synopsis.
  * Added copyright notices to debian/copyright.

 -- Philipp Kern <pkern@debian.org>  Sun, 03 Apr 2016 11:53:35 +0200

s390-tools (1.34.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop error-manpages.patch (fixed upstream).
    - Drop install.patch (works as-is with upstream's build system).

 -- Philipp Kern <pkern@debian.org>  Sun, 20 Mar 2016 22:54:33 +0100
