=== debian/control ===
Source: s390-tools
Section: admin
Priority: important
Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Philipp Kern <pkern@debian.org>
Build-Depends: debhelper (>> 9), libsysfs-dev, libz-dev, quilt, gcc-multilib, libfuse-dev, libncurses-dev, libpfm4-dev
Standards-Version: 3.8.3
Homepage: http://www.ibm.com/developerworks/linux/linux390/s390-tools.html

Package: s390-tools
Architecture: s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk
Recommends: sg3-utils
Description: Set of fundamental utilities for Linux on S/390
 The package contains:
  * dasdfmt, which is used to low-level format ECKD-DASDs with either
    the classic disk layout or the new zSeries compatible disk layout.
  * dasdview, which is used to display DASD and VTOC information or to
    dump the contents of a DASD to the console.
  * fdasd, which is used to create or modify partitions on ECKD-DASDs
    formatted with the zSeries compatible disk layout.
  * zipl, which is used to make either dasds or tapes bootable for
    system IPL or system dump.
  * zgetdump, which is used to retrieve system dumps from either tapes
    or dasds.

Package: s390-tools-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Set of utilities for Linux on S/390
 This is a minimal package used by debian-installer.
 This package contains only the binaries dasdfmt and fdasd.
