=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make V=1

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	dh_install
